<?xml version="1.0" encoding="UTF-8"?>
<ConfigurationRoot xmlns="http://www.parametershandling.unicos.cern.ch.research">
    <Parameters>
        <ParameterList Name="ExtendedConfigGenerator" Description="Extended configuration plugin data">
            <ParameterList Name="GeneralData" Description="">
                <ClassParameter Name="MainClass" Value="" Description="The full path to the main class of the Plugin, which implements the IPlugin Interface and extends the AManager class." DefaultValue="research.ch.cern.unicos.plugins.extendedconfig.ExtendedConfigGenerator"/>
                <StringParameter Name="MasterType" Value="" Description="" DefaultValue="ProcessControlObject"/>
                <StringParameter Name="Version" Value="1.1.0" Description="" DefaultValue=""/> <!-- The Value is always overwritten by version of the wizard -->
                <BooleanParameter DefaultValue="false" Description="True if the semantic rules must be processed"
                                  Value="false" Name="ProcessSemanticRules"/>
                <PathParameter DefaultValue="Resources/ExtendedConfigGenerator/Rules/" Description="Folder where to write the files generated" Value="Resources/ExtendedConfigGenerator/Rules/" Name="TemplatesFolder"/>
                <PathParameter DefaultValue="GlobalTemplates/" Description="Folder where to write the files generated" Value="GlobalTemplates/" Name="GlobalTemplatesFolder"/>
                <PathParameter DefaultValue="UserSpecific/" Description="Relative path to the user-specific logic templates" Value="UserSpecific/" Name="UserTemplatesFolder"/>

            </ParameterList>
            <ParameterList Name="TypeMapping" Description="Mapping between DTD and PVSS types">
            	<StringParameter Name="FLOAT32" Value="float" />
            	<StringParameter Name="WORD" Value="integer" />
            	<StringParameter Name="SHORTINT16" Value="integer" />
            	<StringParameter Name="BOOLEAN" Value="bool" />
            </ParameterList>
            <ParameterList Name="Services" Description="">
                <ParameterList Name="Dip" Description="">
                    <ParameterList Name="GeneralData" Description="">
                        <PathParameter Name="AllowedDataFile" Value="Resources/ExtendedConfigGenerator/config/Dip/DipAllowedPublications.xml" Description="XML file where the allowed publications per device type are defined" DefaultValue="Resources/ExtendedConfigGenerator/config/Dip/DipAllowedPublications.xml"/>
                        <PathParameter Name="SelectInstancesFile" Value="Resources/ExtendedConfigGenerator/Rules/UserSpecific/Dip_SelectInstances_Template.py" Description="Jython template where the instances to publish are selected" DefaultValue="Resources/ExtendedConfigGenerator/Rules/UserSpecific/Dip_SelectInstances_Template.py"/>
                        <PathParameter Name="RenameDataFile" Value="Resources/ExtendedConfigGenerator/Rules/UserSpecific/Dip_RenamePublicationData_Template.py" Description="Jython template to override the default publications data." DefaultValue="Resources/ExtendedConfigGenerator/Rules/UserSpecific/Dip_RenamePublicationData_Template.py"/>
                        <PathParameter Name="DipConfigsUserFile" Value="Resources/ExtendedConfigGenerator/user-inputs/DipConfigs.xml" Description="XML file containing the user inputs for the DIP subscriptions" DefaultValue="Resources/ExtendedConfigGenerator/user-inputs/DipConfigs.xml"/>
                        <PathParameter Name="DipPublicationsUserFile" Value="Resources/ExtendedConfigGenerator/user-inputs/DipPublications.xml" Description="XML file containing the user inputs for the DIP publications" DefaultValue="Resources/ExtendedConfigGenerator/user-inputs/DipPublications.xml"/>
                        <BooleanParameter Name="Generate" Value="false" Description="True if the DIP publications/subscriptions must be generated" DefaultValue="true"/>
                        <BooleanParameter Name="GenerateFromTemplates" Value="false" Description="true if the DIP publications/subscriptions must be generated from the templates, false if they are generated from the user files." DefaultValue="false"/>
                    </ParameterList>
                    <ParameterList Name="OutputFormats" Description="">
                        <ParameterList Name="DIPPublications" Description="XML file containing the DIP publications for the DIP projects.">
                            <BooleanParameter Name="Generate" Value="true" Description="true if the DIP publications must be generated using the DIP format." DefaultValue="true"/>
                            <OptionalPathParameter Name="Template" Value="" Description="Jython template file to process before executing flex extractor. This can be helpful to generate dynamically the head or tail files." DefaultValue=""/>
                            <PathParameter Name="ConfigFile" Value="Resources/ExtendedConfigGenerator/config/Dip/Publications/flexConfigDipPublications.xml " Description="XML file containing the configuration for FlexExtractor" DefaultValue="Resources/ExtendedConfigGenerator/config/Dip/Publications/flexConfigDipPublications.xml "/>
                            <OptionalPathParameter Name="HeadFile" Value="" Description="Head file used by FlexExtractor" DefaultValue=""/>
                            <OptionalPathParameter Name="TailFile" Value="" Description="Tail file used by FlexExtractor" DefaultValue=""/>
                            <StringParameter Name="OutputFile" Value="DipPublications.xml" Description="Name of the file containing the DIP publications" DefaultValue="DipPublications.xml"/>
                        </ParameterList>
                        <ParameterList Name="DipSubscriptions" Description="XML file containing the DIP subscriptions for the Dip projects.">
                            <BooleanParameter Name="Generate" Value="false" Description="true if the DIP publications must be generated using the Dip format." DefaultValue="false"/>
                            <OptionalPathParameter Name="Template" Value="" Description="Jython template file to process before executing flex extractor. This can be helpful to generate dynamically the head or tail files." DefaultValue=""/>
                            <PathParameter Name="ConfigFile" Value="Resources/ExtendedConfigGenerator/config/Dip/Subscriptions/flexConfigDipSubscriptions.xml" Description="XML file containing the configuration for FlexExtractor" DefaultValue="Resources/ExtendedConfigGenerator/config/Dip/Subscriptions/flexConfigDipSubscriptions.xml"/>
                            <OptionalPathParameter Name="HeadFile" Value="" Description="Head file used by FlexExtractor" DefaultValue=""/>
                            <OptionalPathParameter Name="TailFile" Value="" Description="Tail file used by FlexExtractor" DefaultValue=""/>
                            <StringParameter Name="OutputFile" Value="DipDipSubscriptions.xml" Description="Name of the file containing the DIP publications" DefaultValue="DipDipSubscriptions.xml"/>
                        </ParameterList>
                        <ParameterList Name="HTMLPublications" Description="HTML file containing the generated DIP publications.">
                            <BooleanParameter Name="Generate" Value="true" Description="True if the HTML file describing the generated DIP publications must be created." DefaultValue="true"/>
                            <OptionalPathParameter Name="Template" Value="Resources/ExtendedConfigGenerator/config/Dip/HTMLPublications/ExtConfig_GenerateHeadTail_Template.py" Description="Jython template file to process before executing flex extractor. This can be helpful to generate dynamically the head or tail files." DefaultValue="Resources/ExtendedConfigGenerator/config/Dip/HTMLPublications/ExtConfig_GenerateHeadTail_Template.py"/>
                            <PathParameter Name="ConfigFile" Value="Resources/ExtendedConfigGenerator/config/Dip/HTMLPublications/flexConfigHTMLPublications.xml" Description="XML file containing the configuration for FlexExtractor" DefaultValue="Resources/ExtendedConfigGenerator/config/Dip/HTMLPublications/flexConfigHTMLPublications.xml"/>
                            <OptionalPathParameter Name="HeadFile" Value="Resources/ExtendedConfigGenerator/config/Dip/HTMLPublications/head.txt" Description="Head file used by FlexExtractor" DefaultValue="Resources/ExtendedConfigGenerator/config/Dip/HTMLPublications/head.txt"/>
                            <OptionalPathParameter Name="TailFile" Value="Resources/ExtendedConfigGenerator/config/Dip/HTMLPublications/tail.txt" Description="Tail file used by FlexExtractor" DefaultValue="Resources/ExtendedConfigGenerator/config/Dip/HTMLPublications/tail.txt"/>
                            <StringParameter Name="OutputFile" Value="DipPublications.html" Description="Name of the file containing the DIP publications" DefaultValue="DipPublications.html"/>
                        </ParameterList>
                    </ParameterList>
                    <ParameterList Name="OutputParameters" Description="Definition of outputs: names, requireness">
                        <PathParameter Name="OutputFolder" Value="Output/ExtendedConfigGenerator/Dip/" Description="Output folder name." DefaultValue="Output/ExtendedConfigGenerator/Dip/"/>
                        <PathParameter Name="DipConfigsFile" Value="DipConfigs.xml" Description="Name of the file containing the DIP Configs" DefaultValue="DipConfigs.xml"/>
                        <PathParameter Name="DipPublicationsFile" Value="DipPublications.xml" Description="Name of the DIP publications file" DefaultValue="DipPublications.xml"/>
                    </ParameterList>
					<ParameterList isExpertField="false" Description="Contains information about the last generation performed" Name="GenerationInfo">
						<PathParameter isExpertField="false" DefaultValue="" Description="Path to the instances configuration XML file used in the last generation." Value="" Name="InstancesConfigurationFileName"/>
						<DateTimeParameter isExpertField="false" Description="Date and time of the last modification in the instances file" Value="2012-03-16T15:58:31.210+01:00" Name="InstancesLastModified"/>
						<DateTimeParameter isExpertField="false" Description="Date and time of the last plug-in generation" Value="2012-03-16T15:58:31.210+01:00" Name="LastGeneration"/>
					</ParameterList>
                </ParameterList>
                <ParameterList Name="Laser" Description="">
                    <ParameterList Name="GeneralData" Description="">
                        <PathParameter Name="AllowedDataFile" Value="Resources/ExtendedConfigGenerator/config/Laser/AllowedAlarms.xml" Description="XML file where the allowed alarms per device type are defined" DefaultValue="Resources/ExtendedConfigGenerator/config/Laser/AllowedAlarms.xml"/>
                        <PathParameter Name="SelectInstancesFile" Value="Resources/ExtendedConfigGenerator/Rules/UserSpecific/Laser_SelectInstances_Template.py" Description="Jython template where the alarm elements are selected" DefaultValue="Resources/ExtendedConfigGenerator/Rules/UserSpecific/Laser_SelectInstances_Template.py"/>
                        <PathParameter Name="RenameDataFile" Value="Resources/ExtendedConfigGenerator/Rules/UserSpecific/Laser_RenamePublicationData_Template.py" Description="Jython template to override the default alarms data." DefaultValue="Resources/ExtendedConfigGenerator/Rules/UserSpecific/Laser_RenamePublicationData_Template.py"/>
                        <PathParameter Name="LaserUserFile" Value="Resources/ExtendedConfigGenerator/user-inputs/Laser.xml" Description="XML file containing the user inputs for the LASER alarms" DefaultValue="Resources/ExtendedConfigGenerator/user-inputs/Laser.xml"/>
                        <BooleanParameter Name="Generate" Value="false" Description="True if the LASER file must be generated" DefaultValue="false"/>
                        <BooleanParameter Name="GenerateFromTemplates" Value="true" Description="true if the LASER file must be generated from the templates, false if it's are generated from the user files." DefaultValue="true"/>
                    </ParameterList>
                    <ParameterList Name="OutputFormats" Description="">
                        <ParameterList Name="Pvss" Description="Generates an ASCII file containing the LASER data.">
                            <BooleanParameter Name="Generate" Value="true" Description="true if the LASER file must be generated using the Pvss format." DefaultValue="true"/>
                            <OptionalPathParameter Name="Template" Value="" Description="Jython template file to process before executing flex extractor. This can be helpful to generate dynamically the head or tail files." DefaultValue=""/>
                            <PathParameter Name="ConfigFile" Value="Resources/ExtendedConfigGenerator/config/Laser/Pvss/flexConfigPvss.xml" Description="XML file containing the configuration for FlexExtractor" DefaultValue="Resources/ExtendedConfigGenerator/config/Laser/Pvss/flexConfigPvss.xml"/>
                            <OptionalPathParameter Name="HeadFile" Value="" Description="Head file used by FlexExtractor" DefaultValue=""/>
                            <OptionalPathParameter Name="TailFile" Value="" Description="Tail file used by FlexExtractor" DefaultValue=""/>
                            <StringParameter Name="OutputFile" Value="Laser" Description="Name of the file containing the LASER data in the PVSS format." DefaultValue="Laser"/>
                        </ParameterList>
                    </ParameterList>
                    <ParameterList Name="OutputParameters" Description="Definition of outputs: names, requireness">
                        <PathParameter Name="OutputFolder" Value="Output/ExtendedConfigGenerator/Laser/" Description="Output folder name." DefaultValue="Output/ExtendedConfigGenerator/Laser/"/>
                        <PathParameter Name="OutputFile" Value="Laser.xml" Description="Name of the LASER output file" DefaultValue="Laser.xml"/>
                    </ParameterList>
					<ParameterList isExpertField="false" Description="Contains information about the last generation performed" Name="GenerationInfo">
						<PathParameter isExpertField="false" DefaultValue="" Description="Path to the instances configuration XML file used in the last generation." Value="" Name="InstancesConfigurationFileName"/>
						<DateTimeParameter isExpertField="false" Description="Date and time of the last modification in the instances file" Value="2012-03-16T15:58:31.210+01:00" Name="InstancesLastModified"/>
						<DateTimeParameter isExpertField="false" Description="Date and time of the last plug-in generation" Value="2012-03-16T15:58:31.210+01:00" Name="LastGeneration"/>
					</ParameterList>
                </ParameterList>
                <ParameterList Name="LHCLogging" Description="">
                    <ParameterList Name="GeneralData" Description="">
                        <PathParameter Name="AllowedDataFile" Value="Resources/ExtendedConfigGenerator/config/LHCLogging/AllowedLoggings.xml" Description="XML file where the allowed loggings per device type are defined" DefaultValue="Resources/ExtendedConfigGenerator/config/LHCLogging/AllowedLoggings.xml"/>
                        <PathParameter Name="SelectInstancesFile" Value="Resources/ExtendedConfigGenerator/Rules/UserSpecific/LHCLogging_SelectInstances_Template.py" Description="Jython template where the elements to log are selected" DefaultValue="Resources/ExtendedConfigGenerator/Rules/UserSpecific/LHCLogging_SelectInstances_Template.py"/>
                        <PathParameter Name="RenameDataFile" Value="Resources/ExtendedConfigGenerator/Rules/UserSpecific/LHCLogging_RenamePublicationData_Template.py" Description="Jython template to override the default publications data." DefaultValue="Resources/ExtendedConfigGenerator/Rules/UserSpecific/LHCLogging_RenamePublicationData_Template.py"/>
                        <PathParameter Name="LHCLoggingUserFile" Value="Resources/ExtendedConfigGenerator/user-inputs/LHCLogging.xml" Description="XML file containing the user inputs for the LHC Logging" DefaultValue="Resources/ExtendedConfigGenerator/user-inputs/LHCLogging.xml"/>
                        <BooleanParameter Name="Generate" Value="false" Description="True if the Alerts file must be generated" DefaultValue="true"/>
                        <BooleanParameter Name="GenerateFromTemplates" Value="false" Description="true if the LHCLogging file must be generated from the templates, false if they are generated from the user files." DefaultValue="true"/>
                    </ParameterList>
                    <ParameterList Name="OutputFormats" Description="">
                        <ParameterList Name="Pvss" Description="Generates an ASCII file containing the LHC Logging data.">
                            <BooleanParameter Name="Generate" Value="true" Description="true if the LHC Logging file must be generated using the Pvss format." DefaultValue="true"/>
                            <OptionalPathParameter Name="Template" Value="" Description="Jython template file to process before executing flex extractor. This can be helpful to generate dynamically the head or tail files." DefaultValue=""/>
                            <PathParameter Name="ConfigFile" Value="Resources/ExtendedConfigGenerator/config/LHCLogging/Pvss/flexConfigPvss.xml" Description="XML file containing the configuration for FlexExtractor" DefaultValue="Resources/ExtendedConfigGenerator/config/LHCLogging/Pvss/flexConfigPvss.xml"/>
                            <OptionalPathParameter Name="HeadFile" Value="" Description="Head file used by FlexExtractor" DefaultValue=""/>
                            <OptionalPathParameter Name="TailFile" Value="" Description="Tail file used by FlexExtractor" DefaultValue=""/>
                            <StringParameter Name="OutputFile" Value="LHCLoggingData" Description="Name of the file containing the LHCLogging data in the PVSS format." DefaultValue="LHCLoggingData"/>
                        </ParameterList>
                    </ParameterList>
                    <ParameterList Name="OutputParameters" Description="Definition of outputs: names, requireness">
                        <PathParameter Name="OutputFolder" Value="Output/ExtendedConfigGenerator/LHCLogging/" Description="Output folder name." DefaultValue="Output/ExtendedConfigGenerator/LHCLogging/"/>
                        <PathParameter Name="OutputFile" Value="LHCLogging.xml" Description="Name of the LHC Logging output file" DefaultValue="LHCLogging.xml"/>
                    </ParameterList>
					<ParameterList isExpertField="false" Description="Contains information about the last generation performed" Name="GenerationInfo">
						<PathParameter isExpertField="false" DefaultValue="" Description="Path to the instances configuration XML file used in the last generation." Value="" Name="InstancesConfigurationFileName"/>
						<DateTimeParameter isExpertField="false" Description="Date and time of the last modification in the instances file" Value="2012-03-16T15:58:31.210+01:00" Name="InstancesLastModified"/>
						<DateTimeParameter isExpertField="false" Description="Date and time of the last plug-in generation" Value="2012-03-16T15:58:31.210+01:00" Name="LastGeneration"/>
					</ParameterList>
                </ParameterList>
                <ParameterList Name="Recipes" Description="">
                    <ParameterList Name="GeneralData" Description="">
                        <PathParameter Name="AllowedDataFile" Value="Resources/ExtendedConfigGenerator/config/Recipes/RcpTypeDefinitions.xml" Description="XML file where the allowed alarms per device type are defined" DefaultValue="Resources/ExtendedConfigGenerator/config/Recipes/RcpTypeDefinitions.xml"/>
                        <PathParameter Name="DefaultPrivileges" Value="Resources/ExtendedConfigGenerator/config/Recipes/RcpDefaultPrivileges.xml" Description="XML file where the default PVSS button privileges are defined" DefaultValue="Resources/ExtendedConfigGenerator/config/Recipes/RcpDefaultPrivileges.xml"/>
                        <PathParameter Name="SpecAttributeDpeMapping" Value="Resources/ExtendedConfigGenerator/config/Recipes/RcpDpeMapping.xml" Description="XML file contains mapping which cannot be obtain from Device Type Definitin between dpe and specification attribute." DefaultValue="Resources/ExtendedConfigGenerator/config/Recipes/RcpDpeMapping.xml"/>
                        <PathParameter Name="SelectInstancesFile" Value="Resources/ExtendedConfigGenerator/Rules/UserSpecific/Recipes_SelectInstances_Template.py" Description="Jython template where the alarm elements are selected" DefaultValue="Resources/ExtendedConfigGenerator/Rules/UserSpecific/Recipes_SelectInstances_Template.py"/>
                        <PathParameter Name="RenameDataFile" Value="Resources/ExtendedConfigGenerator/Rules/UserSpecific/Recipes_RenamePublicationData_Template.py" Description="Jython template to override the default alarms data." DefaultValue="Resources/ExtendedConfigGenerator/Rules/UserSpecific/Recipes_RenamePublicationData_Template.py"/>
                        <PathParameter Name="RecipeClassesUserFile" Value="Resources/ExtendedConfigGenerator/user-inputs/RcpClassDefinitions.xml" Description="XML file containing the user inputs for the RecipeClass definitions" DefaultValue="Resources/ExtendedConfigGenerator/user-inputs/RcpClassDefinitions.xml"/>
                        <PathParameter Name="RecipeInstancesUserFile" Value="Output/ExtendedConfigGenerator/Recipes/RcpInstanceDefinitions.xml" Description="XML file containing the user inputs for the RecipeInstance definitions" DefaultValue="Output/ExtendedConfigGenerator/Recipes/RcpInstanceDefinitions.xml"/>
                        <BooleanParameter Name="Generate" Value="true" Description="True if the Recipe file must be generated" DefaultValue="false"/>
                        <BooleanParameter Name="GenerateFromTemplates" Value="false" Description="true if the Recipe file must be generated from the templates, false if it's are generated from the user files." DefaultValue="false"/>
                        <BooleanParameter Name="GenerateInstanceFile" Value="true" Description="true if the Recipe instance file must be generated from the class file" DefaultValue="true"/>
                    </ParameterList>
                    <ParameterList Name="Templates" Description="">
                        <PathParameter Name="RecipeInstances" Value="Resources/ExtendedConfigGenerator/Rules/GlobalTemplates/RecipeInstances_Template.py" Description="XML file where the allowed alarms per device type are defined" DefaultValue="Resources/ExtendedConfigGenerator/Rules/GlobalTemplates/RecipeInstances_Template.py"/>
                        <PathParameter Name="PvssRecipes" Value="Resources/ExtendedConfigGenerator/Rules/GlobalTemplates/PvssRecipes_Template.py" Description="Jython template to generate the PVSS import fle" DefaultValue="Resources/ExtendedConfigGenerator/Rules/GlobalTemplates/PvssRecipes_Template.py"/>
                    </ParameterList>
                    <ParameterList Name="OutputFormats" Description="">
                        <ParameterList Name="Pvss" Description="Generates an ASCII file containing the PVSS recipes import file.">
                            <BooleanParameter Name="Generate" Value="true" Description="true if the Recipes file must be generated using the Pvss format." DefaultValue="true"/>
                            <OptionalPathParameter Name="Template" Value="Resources/ExtendedConfigGenerator/config/Recipes/Pvss/ExtConfig_GenerateHeadTail_Template.py" Description="Jython template file to process before executing flex extractor. This can be helpful to generate dynamically the head or tail files." DefaultValue=""/>
                            <PathParameter Name="ConfigFile" Value="Resources/ExtendedConfigGenerator/config/Recipes/Pvss/flexConfigPvss.xml" Description="XML file containing the configuration for FlexExtractor" DefaultValue="Resources/ExtendedConfigGenerator/config/Recipes/Pvss/flexConfigPvss.xml"/>
                            <OptionalPathParameter Name="HeadFile" Value="Resources/ExtendedConfigGenerator/config/Recipes/Pvss/head.txt" Description="Head file used by FlexExtractor" DefaultValue="Resources/ExtendedConfigGenerator/config/Recipes/Pvss/head.txt"/>
                            <OptionalPathParameter Name="TailFile" Value="" Description="Tail file used by FlexExtractor" DefaultValue=""/>
                            <StringParameter Name="OutputFile" Value="Recipes.txt" Description="Name of the file containing the Recipes data in the PVSS format." DefaultValue="Recipes.txt"/>
                        </ParameterList>
                    </ParameterList>
                    <ParameterList Name="OutputParameters" Description="Definition of outputs: names, requireness">
                        <PathParameter Name="OutputFolder" Value="Output/ExtendedConfigGenerator/Recipes/" Description="Output folder name." DefaultValue="Output/ExtendedConfigGenerator/Recipes/"/>
                        <PathParameter Name="InstancesOutputFile" Value="RcpInstanceDefinitions.xml" Description="Name of the generated RecipeInstances file" DefaultValue="RcpInstanceDefinitions.xml"/>
                        <PathParameter Name="ClassOutputFile" Value="RcpClassDefinitions.xml" Description="Name of the generated RecipeInstances file" DefaultValue="RcpClassDefinitions.xml"/>
                        <PathParameter Name="OutputFile" Value="Recipes.txt" Description="Name of the file containing the Recipes data in the PVSS format." DefaultValue="Recipes.txt"/>
                    </ParameterList>
					<ParameterList isExpertField="false" Description="Contains information about the last generation performed" Name="GenerationInfo">
						<PathParameter isExpertField="false" DefaultValue="" Description="Path to the instances configuration XML file used in the last generation." Value="" Name="InstancesConfigurationFileName"/>
						<DateTimeParameter isExpertField="false" Description="Date and time of the last modification in the instances file" Value="2012-03-16T15:58:31.210+01:00" Name="InstancesLastModified"/>
						<DateTimeParameter isExpertField="false" Description="Date and time of the last plug-in generation" Value="2012-03-16T15:58:31.210+01:00" Name="LastGeneration"/>
					</ParameterList>
                </ParameterList>
                <ParameterList Name="Cmw" Description="">
                    <ParameterList Name="GeneralData" Description="">
                        <PathParameter Name="AllowedDataFile" Value="Resources/ExtendedConfigGenerator/config/Cmw/CmwAllowedPublications.xml" Description="XML file where the allowed publications per device type are defined" DefaultValue="Resources/ExtendedConfigGenerator/config/Cmw/CmwAllowedPublications.xml"/>
                        <PathParameter Name="MappingTypesFile" Value="Resources/ExtendedConfigGenerator/config/Cmw/CmwMappingTypes.xml" Description="XML file with mapping between DTD and CMW types" DefaultValue="Resources/ExtendedConfigGenerator/config/Cmw/CmwMappingTypes.xml"/>
                        <PathParameter Name="SelectInstancesFile" Value="Resources/ExtendedConfigGenerator/Rules/UserSpecific/Cmw_SelectInstances_Template.py" Description="Jython template where the instances to publish are selected" DefaultValue="Resources/ExtendedConfigGenerator/Rules/UserSpecific/Cmw_SelectInstances_Template.py"/>
                        <PathParameter Name="RenameDataFile" Value="Resources/ExtendedConfigGenerator/Rules/UserSpecific/Cmw_RenamePublicationData_Template.py" Description="Jython template to override the default publications data." DefaultValue="Resources/ExtendedConfigGenerator/Rules/UserSpecific/Cmw_RenamePublicationData_Template.py"/>
                        <PathParameter Name="CmwConfigsUserFile" Value="Resources/ExtendedConfigGenerator/user-inputs/CmwConfigs.xml" Description="XML file containing the user inputs for the CMW subscriptions" DefaultValue="Resources/ExtendedConfigGenerator/user-inputs/CmwConfigs.xml"/>
                        <PathParameter Name="CmwPublicationsUserFile" Value="Resources/ExtendedConfigGenerator/user-inputs/CmwPublications.xml" Description="XML file containing the user inputs for the CMW publications" DefaultValue="Resources/ExtendedConfigGenerator/user-inputs/CmwPublications.xml"/>
                        <BooleanParameter Name="Generate" Value="false" Description="True if the CMW publications/subscriptions must be generated" DefaultValue="true"/>
                        <BooleanParameter Name="GenerateFromTemplates" Value="false" Description="true if the CMW publications/subscriptions must be generated from the templates, false if they are generated from the user files." DefaultValue="false"/>
                    </ParameterList>
                    <ParameterList Name="OutputFormats" Description="">
                        <ParameterList Name="DatabaseConfiguration" Description="CSV file containing the CMW database configuration.">
                            <BooleanParameter Name="Generate" Value="true" Description="true if the CMW database configuration must be generated using the  format." DefaultValue="true"/>
                            <OptionalPathParameter Name="Template" Value="" Description="Jython template file to process before executing flex extractor. This can be helpful to generate dynamically the head or tail files." DefaultValue=""/>
                            <PathParameter Name="ConfigFile" Value="Resources/ExtendedConfigGenerator/config/Cmw/DatabaseConfiguration/flexConfigDatabaseConfiguration.xml " Description="XML file containing the configuration for FlexExtractor" DefaultValue="Resources/ExtendedConfigGenerator/config/Cmw/DatabaseConfiguration/flexConfigDatabaseConfiguration.xml "/>
                            <OptionalPathParameter Name="HeadFile" Value="" Description="Head file used by FlexExtractor" DefaultValue=""/>
                            <OptionalPathParameter Name="TailFile" Value="" Description="Tail file used by FlexExtractor" DefaultValue=""/>
                            <StringParameter Name="OutputFile" Value="CmwDatabaseConfiguration.csv" Description="Name of the file containing the CMW database configuration." DefaultValue="CmwDatabaseConfiguration.csv"/>
                        </ParameterList>
                        <ParameterList Name="Publications" Description="XML file containing the CMW publications for the  projects.">
                            <BooleanParameter Name="Generate" Value="true" Description="true if the CMW publications must be generated using the  format." DefaultValue="true"/>
                            <OptionalPathParameter Name="Template" Value="" Description="Jython template file to process before executing flex extractor. This can be helpful to generate dynamically the head or tail files." DefaultValue=""/>
                            <PathParameter Name="ConfigFile" Value="Resources/ExtendedConfigGenerator/config/Cmw/Publications/flexConfigPublications.xml " Description="XML file containing the configuration for FlexExtractor" DefaultValue="Resources/ExtendedConfigGenerator/config/Cmw/Publications/flexConfigPublications.xml "/>
                            <OptionalPathParameter Name="HeadFile" Value="" Description="Head file used by FlexExtractor" DefaultValue=""/>
                            <OptionalPathParameter Name="TailFile" Value="" Description="Tail file used by FlexExtractor" DefaultValue=""/>
                            <StringParameter Name="OutputFile" Value="CmwPublications.xml" Description="Name of the file containing the CMW publications" DefaultValue="CmwPublications.txt"/>
                        </ParameterList>
                        <ParameterList Name="HTMLPublications" Description="HTML file containing the generated CMW publications.">
                            <BooleanParameter Name="Generate" Value="true" Description="True if the HTML file describing the generated CMW publications must be created." DefaultValue="true"/>
                            <OptionalPathParameter Name="Template" Value="Resources/ExtendedConfigGenerator/config/Cmw/HTMLPublications/ExtConfig_GenerateHeadTail_Template.py" Description="Jython template file to process before executing flex extractor. This can be helpful to generate dynamically the head or tail files." DefaultValue="Resources/ExtendedConfigGenerator/config/Cmw/HTMLPublications/ExtConfig_GenerateHeadTail_Template.py"/>
                            <PathParameter Name="ConfigFile" Value="Resources/ExtendedConfigGenerator/config/Cmw/HTMLPublications/flexConfigHTMLPublications.xml" Description="XML file containing the configuration for FlexExtractor" DefaultValue="Resources/ExtendedConfigGenerator/config/Cmw/HTMLPublications/flexConfigHTMLPublications.xml"/>
                            <OptionalPathParameter Name="HeadFile" Value="Resources/ExtendedConfigGenerator/config/Cmw/HTMLPublications/head.txt" Description="Head file used by FlexExtractor" DefaultValue="Resources/ExtendedConfigGenerator/config/Cmw/HTMLPublications/head.txt"/>
                            <OptionalPathParameter Name="TailFile" Value="Resources/ExtendedConfigGenerator/config/Cmw/HTMLPublications/tail.txt" Description="Tail file used by FlexExtractor" DefaultValue="Resources/ExtendedConfigGenerator/config/Cmw/HTMLPublications/tail.txt"/>
                            <StringParameter Name="OutputFile" Value="CmwPublications.html" Description="Name of the file containing the CMW publications" DefaultValue="CmwPublications.html"/>
                        </ParameterList>
                        <ParameterList Name="HTMLDatabaseConfiguration" Description="HTML file containing the generated CMW database configuration.">
                            <BooleanParameter Name="Generate" Value="true" Description="True if the HTML file describing the generated CMW database configuration must be created." DefaultValue="true"/>
                            <OptionalPathParameter Name="Template" Value="Resources/ExtendedConfigGenerator/config/Cmw/HTMLDatabaseConfiguration/ExtConfig_GenerateHeadTail_Template.py" Description="Jython template file to process before executing flex extractor. This can be helpful to generate dynamically the head or tail files." DefaultValue="Resources/ExtendedConfigGenerator/config/Cmw/HTMLDatabaseConfiguration/ExtConfig_GenerateHeadTail_Template.py"/>
                            <PathParameter Name="ConfigFile" Value="Resources/ExtendedConfigGenerator/config/Cmw/HTMLDatabaseConfiguration/flexConfigHTMLDatabaseConfiguration.xml" Description="XML file containing the configuration for FlexExtractor" DefaultValue="Resources/ExtendedConfigGenerator/config/Cmw/HTMLDatabaseConfiguration/flexConfigHTMLDatabaseConfiguration.xml"/>
                            <OptionalPathParameter Name="HeadFile" Value="Resources/ExtendedConfigGenerator/config/Cmw/HTMLDatabaseConfiguration/head.txt" Description="Head file used by FlexExtractor" DefaultValue="Resources/ExtendedConfigGenerator/config/Cmw/HTMLDatabaseConfiguration/head.txt"/>
                            <OptionalPathParameter Name="TailFile" Value="Resources/ExtendedConfigGenerator/config/Cmw/HTMLDatabaseConfiguration/tail.txt" Description="Tail file used by FlexExtractor" DefaultValue="Resources/ExtendedConfigGenerator/config/Cmw/HTMLDatabaseConfiguration/tail.txt"/>
                            <StringParameter Name="OutputFile" Value="CmwDatabaseConfiguration.html" Description="Name of the file containing the CMW database configuration." DefaultValue="CmwDatabaseConfiguration.html"/>
                        </ParameterList>
                    </ParameterList>
                    <ParameterList Name="OutputParameters" Description="Definition of outputs: names, requireness">
                        <PathParameter Name="OutputFolder" Value="Output/ExtendedConfigGenerator/Cmw/" Description="Output folder name." DefaultValue="Output/ExtendedConfigGenerator/Cmw/"/>
                        <PathParameter Name="CmwConfigsFile" Value="CmwConfigs.xml" Description="Name of the file containing the CMW Configs" DefaultValue="CmwConfigs.xml"/>
                        <PathParameter Name="CmwPublicationsFile" Value="CmwPublications.xml" Description="Name of the CMW publications file" DefaultValue="CmwPublications.xml"/>
                    </ParameterList>
					<ParameterList isExpertField="false" Description="Contains information about the last generation performed" Name="GenerationInfo">
						<PathParameter isExpertField="false" DefaultValue="" Description="Path to the instances configuration XML file used in the last generation." Value="" Name="InstancesConfigurationFileName"/>
						<DateTimeParameter isExpertField="false" Description="Date and time of the last modification in the instances file" Value="2012-03-16T15:58:31.210+01:00" Name="InstancesLastModified"/>
						<DateTimeParameter isExpertField="false" Description="Date and time of the last plug-in generation" Value="2012-03-16T15:58:31.210+01:00" Name="LastGeneration"/>
					</ParameterList>
                </ParameterList>
            </ParameterList>
            <ParameterList Name="Transformations" Description="">
                <ParameterList Name="Alerts" Description="">
                    <ParameterList Name="GeneralData" Description="">
                        <BooleanParameter Name="Generate" Value="true" Description="True if the Alerts file must be generated" DefaultValue="true"/>
                    </ParameterList>
                    <ParameterList Name="OutputFormats" Description="">
                        <ParameterList Name="Pvss" Description="Generates the Alerts file in the PVSS format">
                            <BooleanParameter Name="Generate" Value="false" Description="True if the Alerts file must be generated using the Pvss format." DefaultValue="true"/>
                            <OptionalPathParameter Name="Template" Value="" Description="Jython template file to process before executing Flex Extractor. This can be helpful to generate dynamically the head or tail files." DefaultValue=""/>
                            <PathParameter Name="ConfigFile" Value="Resources/ExtendedConfigGenerator/config/Alerts/flexConfigAlerts.xml" Description="XML file containing the configuration for FlexExtractor" DefaultValue="Resources/ExtendedConfigGenerator/config/Alerts/flexConfigAlerts.xml"/>
                            <OptionalPathParameter Name="HeadFile" Value="Resources/ExtendedConfigGenerator/config/Alerts/alerts_head.txt" Description="Head file used by FlexExtractor" DefaultValue="Resources/ExtendedConfigGenerator/config/Alerts/alerts_tail.txt"/>
                            <OptionalPathParameter Name="TailFile" Value="Resources/ExtendedConfigGenerator/config/Alerts/alerts_tail.txt" Description="Tail file used by FlexExtractor" DefaultValue="Resources/ExtendedConfigGenerator/config/Alerts/alerts_tail.txt"/>
                            <StringParameter Name="OutputFile" Value="Alerts.xml" Description="Name of the file containing the LHCLogging data in the PVSS format." DefaultValue="Alerts.xml"/>
                        </ParameterList>
                    </ParameterList>
                    <ParameterList Name="OutputParameters" Description="Definition of outputs: names, requireness">
                        <PathParameter Name="OutputFolder" Value="Output/ExtendedConfigGenerator/Alerts/" Description="Output folder name." DefaultValue="Output/ExtendedConfigGenerator/Alerts/"/>
                    </ParameterList>
                </ParameterList>
                <ParameterList Name="Anomalies" Description="">
                    <ParameterList Name="GeneralData" Description="">
                        <BooleanParameter Name="Generate" Value="true" Description="true if the Anomalies file must be generated." DefaultValue="true"/>
                    </ParameterList>
                    <ParameterList Name="OutputFormats" Description="">
                        <ParameterList Name="Pvss" Description="Generates the Anomalies file in the PVSS format">
                            <BooleanParameter Name="Generate" Value="false" Description="True if the Anomalies file must be generated using the Pvss format." DefaultValue="true"/>
                            <OptionalPathParameter Name="Template" Value="" Description="Jython template file to process before executing Flex Extractor. This can be helpful to generate dynamically the head or tail files." DefaultValue=""/>
                            <PathParameter Name="ConfigFile" Value="Resources/ExtendedConfigGenerator/config/Anomalies/flexConfigAnomalies.xml" Description="XML file containing the configuration for FlexExtractor" DefaultValue="Resources/ExtendedConfigGenerator/config/Anomalies/flexConfigAnomalies.xml"/>
                            <OptionalPathParameter Name="HeadFile" Value="Resources/ExtendedConfigGenerator/config/Anomalies/anomalies_head.txt" Description="Head file used by FlexExtractor" DefaultValue="Resources/ExtendedConfigGenerator/config/Anomalies/anomalies_head.txt"/>
                            <OptionalPathParameter Name="TailFile" Value="Resources/ExtendedConfigGenerator/config/Anomalies/anomalies_tail.txt" Description="Tail file used by FlexExtractor" DefaultValue="Resources/ExtendedConfigGenerator/config/Anomalies/anomalies_tail.txt"/>
                            <StringParameter Name="OutputFile" Value="Anomalies.xml" Description="Name of the file containing the LHCLogging data in the PVSS format." DefaultValue="Anomalies.xml"/>
                        </ParameterList>
                    </ParameterList>
                    <ParameterList Name="OutputParameters" Description="Definition of outputs: names, requireness">
                        <PathParameter Name="OutputFolder" Value="Output/ExtendedConfigGenerator/Anomalies/" Description="Output folder name." DefaultValue="Output/ExtendedConfigGenerator/Anomalies/"/>
                    </ParameterList>
                </ParameterList>
            </ParameterList>
			<ParameterList isExpertField="false" Description="Contains information about the last generation performed" Name="GenerationInfo">
                <PathParameter isExpertField="false" DefaultValue="" Description="Path to the instances configuration XML file used in the last generation." Value="" Name="InstancesConfigurationFileName"/>
                <DateTimeParameter isExpertField="false" Description="Date and time of the last modification in the instances file" Value="2012-03-16T15:58:31.210+01:00" Name="InstancesLastModified"/>
                <DateTimeParameter isExpertField="false" Description="Date and time of the last plug-in generation" Value="2012-03-16T15:58:31.210+01:00" Name="LastGeneration"/>
            </ParameterList>        
        </ParameterList>
    </Parameters>
</ConfigurationRoot>
